Subject: bug#5180: closed (Re: bug#5180: 23.1.90; Secondary selection and M-w)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 May 2020 01:28:02 +0000

Your bug report

#5180: [macOS,trackpad only?] Hitting Meta after mouse drag turns region into secondary selection

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5180: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5180
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5180: 23.1.90; Secondary selection and M-w
From: Stefan Kangas <[email-masked]>
To: Alan Third <[email-masked]>
Cc: [email-masked], Leo <[email-masked]>, Drew Adams <[email-masked]>
Date: Sun, 03 May 2020 03:27:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

>>>> I never noticed it before, but I can confirm that it happens, but only if the
>>>> the Meta key is pressed before releasing the mouse button.
>>
>> I can replicate this, but I assume it's normal behaviour.
>
> Same.

No one has said anything else, so I'm assuming the above conclusion is
correct, and things are working as they should.

>>> I would not find it annoying if that were my case. However, I use the
>>> trackpad with a laptop. I don't know whether that causes the
>>> difference.
>>>
>>> I also find that the Meta key has to be held down for a while (about 1
>>> or 2 s)  but it can be done after releasing the mouse button (with my
>>> hand off the trackpad). Thus:
>>>
>>>  To reproduce:
>>>  1. Drag the mouse to select some text
>>>  2. Stop dragging by moving your hand away from the trackpad and
>>> (after a short delay) HOLD DOWN the Meta (as in M-w) key
>>
>> I can't replicate this in Emacs 25. Are you able to check whether you
>> still get this behaviour in a recent version of Emacs?
>
> I can't replicate this using a trackpad on current master (27.0.50).

Two users (one of them me) have been unable to reproduce this issue,
and there have been no further comments within 6 months.

I therefore see nothing more to here, and I'm closing this bug.

If that conclusion is wrong, and this is still an issue, please reply
to this email (use "Reply to all" in your email client) and we can
reopen the bug report.

Best regards,
Stefan Kangas

Subject: 23.1.90; Secondary selection and M-w
From: Leo <[email-masked]>
To: [email-masked]
Date: Fri, 11 Dec 2009 13:33:59 +0000

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug.  If you can, give
a recipe starting from `emacs -Q':

If often use mouse to select a piece of text and then hit M-w to copy
it. However, this is frequently hijacked by mouse-drag-secondary.

To reproduce:
1. Drag the mouse to select some text
2. Stop dragging and (after a short delay) hit the Meta (as in M-w) key

The region will be turned into a secondary selection defeating the
effect of M-w, for example.

I have found this annoying and I wonder how to fix it without disabling
all secondary selection bindings.

Thank you.

Leo

with GNU Emacs 23.1.90.1 (i386-apple-darwin9.8.0, NS
apple-appkit-949.54) of 2009-12-09 on victoria.local